<div
  class="full-width full-height txt-ellipsis sqtm-core-capsule sqtm-core-container-capsule current-workspace-main-color"
>
  <nz-select
    class="full-width hide-nz-select-border-override"
    [nzCustomTemplate]="defaultTemplate"
    [(ngModel)]="selectedChartType"
    (ngModelChange)="changeChartType()"
    [attr.data-test-field-name]="'chart-type-selector'"
  >
    @for (chartType of availableChartTypes; track chartType) {
      <nz-option
        nzCustomContent
        [nzLabel]="chartType.label | translate"
        [nzValue]="chartType.value"
      >
        <i
          class="m-l-10 m-r-20 current-workspace-main-color"
          nz-icon
          [nzType]="chartType.icon"
        ></i
        >{{ chartType.label | translate }}
      </nz-option>
    }
  </nz-select>
</div>

<ng-template #defaultTemplate let-selected>
  <i
    class="m-l-10 current-workspace-main-color"
    nz-icon
    [nzType]="getIcon(selected.nzValue)"
  ></i
  ><span class="m-l-20"> {{ selected.nzLabel | translate }}</span>
</ng-template>
